Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Public Attributes | Private Attributes | List of all members
eZ\Publish\Core\MVC\Symfony\Routing\UrlWildcardRouter Class Reference
Inheritance diagram for eZ\Publish\Core\MVC\Symfony\Routing\UrlWildcardRouter:

## Public Member Functions
| __construct (URLWildcardService $wildcardService, UrlAliasGenerator $generator, RequestContext $requestContext)
| setLogger ($logger)
| matchRequest (Request $request)
| getRouteCollection ()
| generate ($name, $parameters=[], $referenceType=self::ABSOLUTE_PATH)
| setContext (RequestContext $context)
| getContext ()
| match ($pathinfo)
| Not supported. More...
| supports ($name)
| Whether the router supports the thing in $name to generate a route. More...
| getRouteDebugMessage ($name, array $parameters=[])

## Public Attributes
const | URL_ALIAS_ROUTE_NAME = 'ez_urlalias'

## Private Attributes
| $wildcardService
| $generator
| $requestContext
| $logger

## Detailed Description

Definition at line 22 of file UrlWildcardRouter.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\MVC\Symfony\Routing\UrlWildcardRouter::__construct | ( | URLWildcardService | $wildcardService,
|  | UrlAliasGenerator | $generator,
|  | RequestContext | $requestContext
| ) |  |

Parameters

  \eZ\Publish\API\Repository\URLWildcardService | $wildcardService |
  \eZ\Publish\Core\MVC\Symfony\Routing\Generator\UrlAliasGenerator | $generator |
  \Symfony\Component\Routing\RequestContext | $requestContext |

Definition at line 43 of file UrlWildcardRouter.php.

References eZ\Publish\Core\MVC\Symfony\Routing\UrlWildcardRouter\$generator, eZ\Publish\Core\MVC\Symfony\Routing\UrlWildcardRouter\$requestContext, and eZ\Publish\Core\MVC\Symfony\Routing\UrlWildcardRouter\$wildcardService.

## Member Function Documentation

## ◆ generate()

eZ\Publish\Core\MVC\Symfony\Routing\UrlWildcardRouter::generate | ( |  | $name,
|  |  | $parameters = `[]`,
|  |  | $referenceType = `self::ABSOLUTE_PATH`
| ) |  |

Parameters

  string | $name |
  array | $parameters |
  int | $referenceType |

Returns
  string|void

Definition at line 105 of file UrlWildcardRouter.php.

## ◆ getContext()

eZ\Publish\Core\MVC\Symfony\Routing\UrlWildcardRouter::getContext | ( |  | ) |

Returns
  \Symfony\Component\Routing\RequestContext

Definition at line 122 of file UrlWildcardRouter.php.

References eZ\Publish\Core\MVC\Symfony\Routing\UrlWildcardRouter\$requestContext.

## ◆ getRouteCollection()

eZ\Publish\Core\MVC\Symfony\Routing\UrlWildcardRouter::getRouteCollection | ( |  | ) |

Returns
  \Symfony\Component\Routing\RouteCollection

Definition at line 93 of file UrlWildcardRouter.php.

## ◆ getRouteDebugMessage()

eZ\Publish\Core\MVC\Symfony\Routing\UrlWildcardRouter::getRouteDebugMessage | ( |  | $name,
|  | array | $parameters = `[]`
| ) |  |

See also
  Symfony\Cmf\Component\Routing\VersatileGeneratorInterface::getRouteDebugMessage()

Definition at line 160 of file UrlWildcardRouter.php.

## ◆ match()

eZ\Publish\Core\MVC\Symfony\Routing\UrlWildcardRouter::match | ( |  | $pathinfo | ) |

Not supported.

Please use matchRequest() instead.

Parameters

  string | $pathinfo |

Returns
  array

Exceptions

Definition at line 136 of file UrlWildcardRouter.php.

## ◆ matchRequest()

eZ\Publish\Core\MVC\Symfony\Routing\UrlWildcardRouter::matchRequest | ( | Request | $request | ) |

Parameters

  \Symfony\Component\HttpFoundation\Request | $request |

Returns
  array An array of parameters

Exceptions

Definition at line 68 of file UrlWildcardRouter.php.

## ◆ setContext()

eZ\Publish\Core\MVC\Symfony\Routing\UrlWildcardRouter::setContext | ( | RequestContext | $context | ) |

Parameters

  \Symfony\Component\Routing\RequestContext | $context |

Definition at line 113 of file UrlWildcardRouter.php.

## ◆ setLogger()

eZ\Publish\Core\MVC\Symfony\Routing\UrlWildcardRouter::setLogger | ( |  | $logger | ) |

Parameters

  \Psr\Log\LoggerInterface | $logger |

Definition at line 56 of file UrlWildcardRouter.php.

References eZ\Publish\Core\MVC\Symfony\Routing\UrlWildcardRouter\$logger.

## ◆ supports()

eZ\Publish\Core\MVC\Symfony\Routing\UrlWildcardRouter::supports | ( |  | $name | ) |

Whether the router supports the thing in $name to generate a route.

This check does not need to look if the specific instance can be resolved to a route, only whether the router can generate routes from objects of this class.

Parameters

  mixed | $name | The route name or route object

Returns
  bool

Definition at line 152 of file UrlWildcardRouter.php.

References eZ\Publish\Core\MVC\Symfony\Routing\UrlWildcardRouter\URL_ALIAS_ROUTE_NAME.

## Member Data Documentation

## ◆ $generator

eZ\Publish\Core\MVC\Symfony\Routing\UrlWildcardRouter::$generator
| private

Definition at line 30 of file UrlWildcardRouter.php.

Referenced by eZ\Publish\Core\MVC\Symfony\Routing\UrlWildcardRouter\__construct().

## ◆ $logger

eZ\Publish\Core\MVC\Symfony\Routing\UrlWildcardRouter::$logger
| private

Definition at line 36 of file UrlWildcardRouter.php.

Referenced by eZ\Publish\Core\MVC\Symfony\Routing\UrlWildcardRouter\setLogger().

## ◆ $requestContext

eZ\Publish\Core\MVC\Symfony\Routing\UrlWildcardRouter::$requestContext
| private

Definition at line 33 of file UrlWildcardRouter.php.

Referenced by eZ\Publish\Core\MVC\Symfony\Routing\UrlWildcardRouter\__construct(), and eZ\Publish\Core\MVC\Symfony\Routing\UrlWildcardRouter\getContext().

## ◆ $wildcardService

eZ\Publish\Core\MVC\Symfony\Routing\UrlWildcardRouter::$wildcardService
| private

Definition at line 27 of file UrlWildcardRouter.php.

Referenced by eZ\Publish\Core\MVC\Symfony\Routing\UrlWildcardRouter\__construct().

## ◆ URL_ALIAS_ROUTE_NAME

const eZ\Publish\Core\MVC\Symfony\Routing\UrlWildcardRouter::URL_ALIAS_ROUTE_NAME = 'ez_urlalias'

Definition at line 24 of file UrlWildcardRouter.php.

Referenced by eZ\Publish\Core\MVC\Symfony\Routing\UrlWildcardRouter\supports().

The documentation for this class was generated from the following file:

- UrlWildcardRouter.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.